org.opencv.core

## Class RotatedRect

- java.lang.Object
- - org.opencv.core.RotatedRect

-     public class RotatedRect
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `angle`
    `Point` | `center`
    `Size` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RotatedRect()`
    `RotatedRect(double[] vals)`
    `RotatedRect(Point c, Size s, double a)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rect` | `boundingRect()`
    `RotatedRect` | `clone()`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `void` | `points(Point[] pt)`
    `void` | `set(double[] vals)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### center

          public Point center

    - #### size

          public Size size

    - #### angle

          public double angle

  - ### Constructor Detail

    - #### RotatedRect

          public RotatedRect()

    - #### RotatedRect

          public RotatedRect(Point c,
                             Size s,
                             double a)

    - #### RotatedRect

          public RotatedRect(double[] vals)

  - ### Method Detail

    - #### set

          public void set(double[] vals)

    - #### points

          public void points(Point[] pt)

    - #### boundingRect

          public Rect boundingRect()

    - #### clone

          public RotatedRect clone()

      Overrides:
        `clone` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7